package com.lyg.application.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.application.entity.TaRotation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * 轮岗列表;(ta_rotation)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2024-3-6
 */
@Mapper
public interface TaRotationMapper extends BaseMapper<TaRotation> {

    List<TaRotation> selectRepel(@Param("orgList") List<String> orgList, @Param("targetList") List<String> targetList,@Param("newDate") LocalDate newDate);
}