package com.lyg.application.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lyg.application.entity.TaIncompatible;
import com.lyg.application.entity.TaRotation;
import com.lyg.application.mapper.TaIncompatibleMapper;
import com.lyg.application.mapper.TaRotationMapper;
import com.lyg.application.service.TaIncompatibleService;
import com.lyg.application.util.IncompatibleRule;
import com.lyg.system.service.impl.BaseServiceImpl;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 不相容;(ta_incompatible)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2024-3-6
 */
@Service
public class TaIncompatibleServiceImpl extends BaseServiceImpl<TaIncompatibleMapper, TaIncompatible> implements TaIncompatibleService {
    @Autowired
    private IncompatibleRule incompatibleRule;
    @Autowired
    private TaRotationMapper taRotationMapper;

//    @Override
//    public List<TaIncompatible> selectRule(String oldOrgName, String newOrgName) {
//        return baseMapper.selectRule(oldOrgName, newOrgName);
//    }


//
//
//    @Override
//    public List<TaRotation> getMonthRules(Map<String, String> params) {
//        List<TaRotation> repelList = new ArrayList<>();
//
//        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
//
//        QueryWrapper<TaRotation> queryWrapper = new QueryWrapper<>();
//        String primaryPost = params.get("primaryPost");
//        String targetPost = params.get("targetPost");
//        String passTime = params.get("passTime");
//        LocalDate newDate = LocalDate.parse(passTime, formatter).minusMonths(3);
//
//        List<String> oldPostList = baseMapper.getMonthRulesPrimary(primaryPost);//原来岗位+目标不相容岗位
//        List<String> newPostList = baseMapper.getMonthRulesTarget(targetPost);//目标岗位+原来不相容岗位
//
//        if (oldPostList.size() == 0 && newPostList.size() == 0) {
//            return repelList;
//        } else {
//            List<String> orgList = newPostList;//原来岗位 不相容的
//            orgList.add(orgList.size() - 1, primaryPost);
//
//            List<String> targetList = oldPostList;//目标岗位 不相容的
//            targetList.add(targetList.size() - 1, targetPost);
//
//            //                拿到数据 不相容轮岗数据
//            repelList = taRotationMapper.selectRepel(orgList, targetList,newDate);
//
//            return repelList;
//        }
//    }
}