package com.lyg.framework.accesslimit;

import cn.dev33.satoken.util.SaResult;
//import com.lyg.common.util.IpUtil;
//import com.lyg.framework.util.RedisTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.method.HandlerMethod;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.lang.reflect.Method;

@Slf4j
@Component
public class AccessLimitInterceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
//        try {// Handler 是否为 HandlerMethod 实例
//            if (handler instanceof HandlerMethod) {
//                // 强转
//                HandlerMethod handlerMethod = (HandlerMethod) handler;
//                // 获取方法
//                Method method = handlerMethod.getMethod();
//                // 是否有AccessLimit注解
//                if (!method.isAnnotationPresent(AccessLimit.class)) {
//                    return true;
//                }
//                // 获取注解内容信息
//                AccessLimit accessLimit = method.getAnnotation(AccessLimit.class);
//                if (accessLimit == null) {
//                    return true;
//                }
//                int seconds = accessLimit.second();
//                int maxCount = accessLimit.maxCount();
//
//                // 存储key
//                String ip = IpUtil.getIpAddr(request);
//                String key = ip + ":" + request.getRequestURI();
//
//                // 已经访问的次数
//                Integer count = (Integer) RedisTool.get(key);
////                System.out.println("已经访问的次数:" + count);
//                if (null == count || -1 == count) {
//                    RedisTool.set(key, 1, seconds);
//                    return true;
//                }
//
//                if (count < maxCount) {
//                    count += 1;
//                    RedisTool.update(key, count);
//                    return true;
//                }
//
//                SaResult result = new SaResult().setCode(500).setMsg("请求过于频繁请稍后再试");
//                sendJSON(result, response);
//                return false;
//            }
//
//            return true;
//        } catch (Exception e) {
//            e.printStackTrace();
//            return false;
//        }

        return true;
    }

    private void sendJSON(SaResult result, HttpServletResponse response) throws IOException {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json");
        response.getWriter().append(result.toString());
    }
}
