package com.lyg.framework.log;

import java.lang.annotation.*;

@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OpLog {

    /**
     * 模块
     * @return
     */
    String module() default "";

    /**
     * 动作
     * @return
     */
    String action() default "";

    /**
     * 详细描述
     * @return
     */
    String desc() default "";
}
