package com.lyg.system.service;

import com.lyg.system.entity.SysOrg;
import com.lyg.system.entity.SysUser;

import java.util.List;

/**
 * 部门表;(sys_dept)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2023-1-27
 */
public interface SysOrgService extends IBaseService<SysOrg> {

    void createNew(SysOrg sysOrg, SysUser user);

    long getMaxCode(String orgPId);

    void updateData(SysOrg sysOrg);

    List<String> getOrgIdByUser(String userId);
}