package com.lyg.framework.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "tenant")
public class TenantConfig {
    Boolean enabled;
    String defaultId;
    List<String> whiteList;
}
