package com.lyg.framework.service;

/**
 * 人员接口
 */

public interface IUserService {
    /**
     * 依据登录ID查询当前登录用户
     * @param loginId
     * @return
     */
    Object getUserBy(Object loginId);

    /**
     * 返回 user 所属租户
     * @param user
     * @return
     */
    String getTenantIdBy(Object user);

    /**
     * 返回 userId
     * @param user
     * @return
     */
    String getUserIdBy(Object user);

    /**
     * 返回 userName
     * @param user
     * @return
     */
    String getUserNameBy(Object user);
}
