package com.lyg.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lyg.system.entity.SysRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统角色;(sys_role)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-2-5
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

    List<SysRole> getByUser(@Param("userId") String userId);

    IPage<SysRole> getPageBy(IPage<SysRole> pg, @Param("userId") String userId);
}