package com.lyg.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.system.entity.SysUserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色授权;(sys_user_role)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2023-2-5
 */
@Mapper
public interface SysUserRoleMapper  extends BaseMapper<SysUserRole> {

    SysUserRole getByUserAndRole(@Param("userId") String userId, @Param("roleId") String roleId);

    int deleteNotIn(@Param("userId") String userId, @Param("idList") List<String> idList);

    List<String> getRoleList(@Param("userId") String userId);

}