package com.lyg.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lyg.system.entity.SysRole;
import com.lyg.system.entity.SysUser;

import java.util.List;

/**
 * 系统角色;(sys_role)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2023-2-5
 */
public interface SysRoleService extends IBaseService<SysRole> {

    List<SysRole> getByUser(String userId);

    IPage<SysRole> getPageBy(IPage<SysRole> pg, SysUser sysUser);
}